<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

include ("../inc/config.inc.php");
?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_date.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php require ("../inc/lst.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Impression Liste Interventions</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../inc/smi.css" rel="stylesheet" type="text/css">

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

</head>

<body>

<?php
	entimplst("LISTE DES INTERVENTIONS");

	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);

	$rech = cree_strrechlstint($niv_urgence);
	if ((@$HTTP_SESSION_VARS["niv_log"] == 4) OR (@$HTTP_SESSION_VARS["niv_log"] == 3))
	{
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE ".TBINT.".int_codeage='".@$HTTP_SESSION_VARS["code_age"]."'";
		else
			$rech .= " AND ".TBINT.".int_codeage='".@$HTTP_SESSION_VARS["code_age"]."'";
	}		
	$rech .= crestr_triord($int_titre_col,"int_code",FALSE,$limit);
	 
	$rs = mysql_query($rech) or die(mysql_error());
	$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête
		
	// *** Affichage de la table
     echo "<table class=\"MItable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     

	// Création entête
	titimplst($int_titre_col);	
		 
	while ($row = mysql_fetch_assoc($rs)) 
	{         
		echo "<tr>";

		// Affichage résumé intervention

        echo "<td>".$row["int_code"]."</td>\n";
        echo "<td>".formatedate($row["int_datedde"])."</td>\n";

         echo "<td>";

			 echo "<div align=\"center\">";
			 echo $niv_urgence[$row["int_urg"]];
			 echo "</div>";

		 echo "</td>\n";

        echo "<td>".$row["int_codecli"];

		 // Affichage détail client

			 $detailcli = "->";
			 if ($row["cli_ste"] <> "")
				$detailcli .= $row["cli_ste"].", ";
			 $detailcli .= $row["cli_civilite"]." ".$row["cli_nom"];
			 echo "<br>";
			 echo "<span class=\"annot_std_it\">";
			 echo $detailcli;
			 echo "</span>";
	
		 // Fin affichage détail client

		 echo "</td>\n";

         echo "<td>";
		 if ($row["int_codetec"] <> "")
		 	echo $row["int_codetec"];
		 else
		 	echo "&nbsp;";
		 echo "</td>\n";
		 
		 // Affichage Statut
		 
		 echo "<td>";
		 
		$statut = $row["int_codestatut"];
		$searchco = "SELECT * FROM ".TBSTA." WHERE statut_code = '$statut'";
		
		$rsico = mysql_query($searchco) or die(mysql_error());
		
		if (mysql_num_rows($rsico) <> 0)
		{
			 while ($rowico = mysql_fetch_array($rsico)) 
			{
				extract ($rowico);
				echo $statut_desc;
			}
		}
		
		mysql_free_result($rsico);

		 echo "</td>\n";


		 echo "</tr>\n";
		
	}  
	echo "</table>\n";
	// *** Fin affichage de la table
	
	mysql_free_result($rs);
	mysql_close($conn);  

?>
	<script type="text/javascript">
	warnimplst();
	</script>